Retrieve the EPP code (also known as auth code or transfer code) for a specific domain. This code is required to move the domain to another registrar.
/domains/[id] id integer · min: 1 required
Example: 11784 Unique id identifier
Accept Example Content-Type Example data object required data.epp_code string required
· Example: YOUR_EPP_CODE data.message string required
· Example: YOUR_EPP_CODE Human-readable message.
data.success boolean required
· Example: true True for successful responses.
requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
code string required
· Example: BAD_REQUEST Machine-readable error code.
error string required
· Example: Bad Request HTTP status title (e.g. 'Bad Request').
message string required
· Example: Invalid JSON in request body Human-readable message.
requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
code string required
· Example: UNAUTHORIZED Machine-readable error code.
error string required
· Example: Unauthorized HTTP status title (e.g. 'Bad Request').
message string required
· Example: Authentication required Human-readable message.
requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
code string required
· Example: UNSUPPORTED_MEDIA_TYPE Machine-readable error code.
error string required
· Example: Unsupported Media Type HTTP status title (e.g. 'Bad Request').
message string required
· Example: Content-Type must be one of: application/json, multipart/form-data Human-readable message.
requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/domain-epp/{id} curl -X POST "https://cloud.hostup.se/api/domain-epp/11784" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"message": "YOUR_EPP_CODE",
"success": true,
"epp_code": "YOUR_EPP_CODE"
}
}